Subject: Re: [XCON] BFCP over UDP

From: Tom Kristensen <[email-masked]>
Date: Tue, 27 Oct 2009 15:30:43 +0100

As a heads up, since personal draft announcements are not propagated
to working group mailing lists:

A new version of the draft associated with this thread was submitted a
couple of days ago.

-------------
A New Internet-Draft is available from the on-line Internet-Drafts directories.
       Title           : Revision of the Binary Floor Control Protocol
(BFCP) for use over an unreliable transport
       Author(s)       : M. Thompson, et al.
       Filename        : draft-sandbakken-xcon-bfcp-udp-01.txt
       Pages           : 14
       Date            : 2009-10-23
This memo extends the Binary Floor Control Protocol (BFCP) for use
over an unreliable transport.  It details a set of revisions to the
protocol definition document and the specification of BFCP streams in
the Session Description Protocol (SDP).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-sandbakken-xcon-bfcp-udp-01.txt
-------------

This submission aims at reviving the draft, to trigger further
discussion within XCON and to serve as a starting point for the work
on the outstanding issues. Refer to Section 4 of the draft for a
list/details of further work.

The draft is structured to ease merging into the upcoming bis-drafts
for RFC4582 and RFC4583 in a later stage.

Cheers,
-- Tom

2009/9/9 Lorenzo Miniero <[email-masked]>:
> Hi Roni,
>
> I also think this would be a very useful solution to have, and would
> support a new document addressing the UDP case. For what concerns
> fragmentation, however, this is probably an orthogonal issue, since in
> my opinion it may affect the BFCP/TCP as well.
>
> When working on the implementation of the protocol, in fact, we noticed
> how large BFCP messages could easily become, and so I raised this issue
> on the ML:
>
> http://www.ietf.org/mail-archive/web/xcon/current/msg01920.html
>
> but it didn't seem to gather much interest at the time. Anyway, if
> anyone is interested in working on this in the future (be it as part of
> a potential new BFCP/UDP document or somewhere else), I'd be glad to
> cooperate.
>
> Lorenzo
>
>
>
> On Sun, 6 Sep 2009 15:36:42 +0300
> "Roni Even" <[email-masked]> wrote:
>
>> Hi,
>>
>> I reviewed the individual draft draft-sandbakken-xcon-bfcp-udp-00 which have
>> expired. I find that this proposal important  in order to work in
>> environments where TCP will fail because of FW/NWT traversal issues and
>> would like to see an update to the draft that will address the security
>> issue probably using DTLS. The draft should also address the issue of
>> fragmentation.
>>
>> The use case is for supporting token based presentation and the assumption
>> is that the information will be small so the fragmentation will be less
>> critical.
>>
>>
>>
>>
>>
>> Roni Even
>>
>>
>
>
> --
> Lorenzo Miniero <[email-masked]>
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xcon
>

-- 
# TANDBERG R&D
## http://www.tandberg.com
### http://folk.uio.no/tomkri/